0%

解决高版本安卓无法安装burp到system的问题

0x00 前因

书接上回,高版本的安卓设别在挂在/system读写的时候可能会遇到:

1
2
3
4
adb root
adbd cannot run as root in production builds
mount -o remount,rw /system
mount: '/system' not in /proc/mounts

而且就算你挂在了系统读写,下次重启你东西又没了

0x01 解决

现在高版本的安卓root一般使用magisk,因为supersu已经停止维护了。解决的方法就是安装一个magisk的模块就可以解决证书的问题了。
项目地址:https://github.com/NVISO-BE/MagiskTrustUserCerts
下载最新releases,在magisk中刷入,然后安装user证书,会自动安装到系统里面,水文完。
Screenshot_20200604-104336.png
Screenshot_20200604-104345.png

0x02 参考链接

v2ex: https://www.v2ex.com/t/620814